package com.example.switchyard.nettyencoder;

import java.nio.charset.Charset;

import javax.enterprise.inject.Produces;
import javax.inject.Named;

import org.apache.camel.component.netty.ChannelHandlerFactories;


public class Decoders  {

	@Produces @Named("mydecoder")
	public Object myDecoder() {
		return ChannelHandlerFactories.newStringDecoder(Charset.defaultCharset());
		
	}
	
	@Produces @Named("myencoder")
	public Object myEncoder() {
		return ChannelHandlerFactories.newStringEncoder(Charset.defaultCharset());
		
	}

}
